require_relative 'config'

module SshMenu
  class Actions

    def initialize(config)
      @general = config.general
      @connections = config.connections
      @config_file = config.config_file
    end

    def edit
      puts "Edit config file #@config_file"
      exec("#{@general['editor']} #@config_file")
    end

    def connect(index)
      conn = @connections[index]
	
     if index >= @connections.size 
	puts "invalid index: #{index}"
        exit
     end
	
      cmd = [@general['ssh_exec'],
        @general['ssh_opts'],
        conn['ssh_opts'],
        conn['user_host']
      ].join(' ')
      puts "Command is #{cmd}" if $DEBUG
      puts "Connecting to #{conn['user_host']}"
      exec(cmd)
    end

    def self.ask_edit_with_default_editor
      editor = Config.default_editor
      config = Config.default_config_file
      print "Edit #{config} using default editor '#{editor}' [y/N]? "

      exec("#{editor} #{config}") if STDIN.getc[/[Yy]/]
    end

  end
end
